
ps.options(horizontal=F, width=4, height=4.5, pointsize=9)
postscript("Fig36.eps", onefile=F, print=F)
par(mar=c(3,3,3,1),mfrow=c(2,2), mgp=c(1.8,0.4,0))



.Random.seed = .seed20140224

library("TSA")
 x <- garch.sim(alpha=c(0.1, 0.06), beta=0.82, n=1000)
#tt <- "package:TSA"
#detach(tt, character.only = TRUE) # detach TSA from the current session

x <- garch.sim(alpha=c(0.1, 0.06), beta=0.82, n=1000)
#tt <- "package:TSA"
#detach(tt, character.only = TRUE) # detach TSA from the current session
garch11 <- garch(x, order=c(1,1))
summary(garch11)

resid = garch11$residuals

#plot(x, type="l", xlab='t', ylab='', main='(a) A simulated time series', col=4)
plot(resid, type="l", xlab='t', ylab='', main='(a) Residuals of GARCH(1,1) fit', col=4)
hist(resid, xlab='', nclass=25, probability=T, col=3,  ylab='', main='(b) Histogram')
xx = seq(-3,3, 0.01)
yy = dnorm(xx)
lines(xx,yy, col=2,lwd=2)
acf(resid, na.action=na.pass, lag=30, main='(c) ACF of residuals', ylab='', col="green")
acf(resid^2, na.action=na.pass, lag=30, main='(d) ACF of squared residuals', ylab='', col="green")

dev.off()
